
*Interaction term with shaming and random effects-tabels in paper*
gen wingos_shaming=wingos*whrnoposmgoldtotal

eststo clear
eststo: xtprobit f_psource_di wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex, re
eststo: xtprobit f_source wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex, re 
esttab _all using "flow.csv", replace title(Table 1: Frank (2013) Source Dependent Variable) mtitles("Source" "Destination" "Prostitution Source" "Prostitution Destination") obslast label se nogaps scalars(N N_cens rho chi2)  star(* 0.05 ** 0.01 *** 0.001) 

eststo clear
eststo: xtoprobit f_Prosecution wingos  whrnoposmgoldtotal wingos_shaming cedaw_rat_1 log_gdp log_pop polity2 overallglobalizationindex
eststo: xtoprobit f_Protection  wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop polity2 overallglobalizationindex 
eststo: xtoprobit f_Prevention wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex 
esttab _all using "policy.csv", replace title(Table 2: Cho et al (2014) Policy Dependent Variables) mtitles("Prosecution" "Protection" "Prevention") obslast label se nogaps scalars(N ll)  star(* 0.05 ** 0.01 *** 0.001) 

eststo clear
eststo: xtreg f_Overall3P wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop polity2 overallglobalizationindex, re 
esttab _all using "policyreg.csv", replace title(Table 2: Cho et al (2014) Overall 3P Index) mtitles("Overall 3P Index") obslast label se nogaps scalars(N r2)  star(* 0.05 ** 0.01 *** 0.001) 

*generating figures (see seperate .do files)*

graph combine "/Users/sambell/Dropbox/NGOs and Trafficking/Data/FiguresRR/PsourceShamingEffect.gph" "/Users/sambell/Dropbox/NGOs and Trafficking/Data/FiguresRR/PsourceWROEffect.gph" "/Users/sambell/Dropbox/NGOs and Trafficking/Data/FiguresRR/SourceShamingEffect.gph" "/Users/sambell/Dropbox/NGOs and Trafficking/Data/FiguresRR/SourceWROEffect.gph"


graph combine "/Users/sambell/Dropbox/NGOs and Trafficking/Data/FiguresRR/3PWROEffect.gph" "/Users/sambell/Dropbox/NGOs and Trafficking/Data/FiguresRR/3PShamingEffect.gph"


*additional control with HRO var

eststo: xtprobit f_source wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex HROsecretariatlocation, re 
eststo: xtprobit f_psource_di wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex HROsecretariatlocation, re
esttab _all using "flow.csv", replace title(Table A1: Flow HRO Control) mtitles("Source" "Prostitution Source") obslast label se nogaps scalars(N ll)  star(* 0.05 ** 0.01 *** 0.001) 

eststo: xtoprobit f_Prosecution wingos  whrnoposmgoldtotal wingos_shaming cedaw_rat_1 log_gdp log_pop polity2 overallglobalizationindex HROsecretariatlocation, 
eststo: xtoprobit f_Protection  wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop polity2 overallglobalizationindex HROsecretariatlocation, 
eststo: xtoprobit f_Prevention wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex HROsecretariatlocation, 
esttab _all using "policy.csv", replace title(Table A2: Cho et al (2014) Policy Dependent Variables) mtitles("Prosecution" "Protection" "Prevention") obslast label se nogaps scalars(N ll)  star(* 0.05 ** 0.01 *** 0.001) 

eststo clear
eststo: xtreg f_Overall3P wingos whrnoposmgoldtotal wingos_shaming cedaw_rat_1  log_gdp log_pop polity2 overallglobalizationindex HROsecretariatlocation, re
esttab _all using "policyreg.csv", replace title(Table A3: Cho et al (2014) Overall 3P Index) mtitles("Overall 3P Index") obslast label se nogaps scalars(N r2)  star(* 0.05 ** 0.01 *** 0.001) 


*destination models*

eststo: xtprobit f_dest wingos whrnoposmgoldtotal cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex, re
eststo: xtprobit f_pdest_di wingos whrnoposmgoldtotal cedaw_rat_1  log_gdp log_pop  polity2 overallglobalizationindex, re
esttab _all using "flow.csv", replace title(Table A4: Frank (2013) Flow Destination Dependent Variables) mtitles("Source" "Destination" "Prostitution Source" "Prostitution Destination") obslast label se nogaps scalars(N N_cens rho chi2)  star(* 0.05 ** 0.01 *** 0.001) 

